## playMovie

### Syntax:

    playMovie (thisMovieFile);

### Purpose:

Plays a movie. The parameter must be a file handle. The only supported movie format is WebM.

The movie is played full screen (or full window if the game isn't running full screen), and in the correct aspect ratio, letterboxed if required. The function doesn't return until the movie has ended or is stopped by stopMovie. Only one movie can be played at a time.

See the Movie Demo (download link) for an example of how to use the movie functions.

### Return value:

Returns 1 if the movie played, or 0 if there was an error.

### See also:

stopMovie

pauseMovie

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012